Package ru.bitel.bgbilling.common.bean

# Class SearchParam

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.common.bean.SearchParam

All Implemented Interfaces:
  `ContractIdable`

public class SearchParam extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractTitle()`
  `String`
  `getMethod()`
  `Page`
  `getPage()`
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getRecordId()`
  `String[]`
  `getSort()`
  `String`
  `getStatus()`
  `PaymentType`
  `getType()`
  `SearchParam`
  `setContractId(int contractId)`
  `SearchParam`
  `setContractTitle(String contractTitle)`
  `SearchParam`
  `setMethod(String method)`
  `SearchParam`
  `setPage(Page page)`
  `SearchParam`
  `setPeriod(PeriodWithTime period)`
  `SearchParam`
  `setRecordId(int recordId)`
  `SearchParam`
  `setSort(String[] sort)`
  `SearchParam`
  `setStatus(String status)`
  `SearchParam`
  `setType(PaymentType type)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchParam

    public SearchParam()

- ## Method Details

  - ### getContractTitle

    public String getContractTitle()

  - ### getMethod

    public String getMethod()

  - ### getPage

    public Page getPage()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getRecordId

    public int getRecordId()

  - ### getSort

    public String[] getSort()

  - ### getStatus

    public String getStatus()

  - ### getType

    public PaymentType getType()

  - ### setContractId

    public SearchParam setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### setContractTitle

    public SearchParam setContractTitle(String contractTitle)

  - ### setMethod

    public SearchParam setMethod(String method)

  - ### setPage

    public SearchParam setPage(Page page)

  - ### setPeriod

    public SearchParam setPeriod(PeriodWithTime period)

  - ### setRecordId

    public SearchParam setRecordId(int recordId)

  - ### setSort

    public SearchParam setSort(String[] sort)

  - ### setStatus

    public SearchParam setStatus(String status)

  - ### setType

    public SearchParam setType(PaymentType type)